Page MenuHomePhabricator

Leverage Priority Hints
Closed, ResolvedPublic

Description

One of the Google I/O talks mentioned that this feature (currently behind a feature flag) is probably coming to Canary in a few weeks:

https://wicg.github.io/priority-hints/

I think it might be particularly useful for priorities between JS files and images. I.e. the article images near the top (eg. first 3 in-article images) could be given a high priority, higher than async JS, and the rest of the images given a low priority. And between JS files, we could also have different priorities.

Chromium discussion: https://groups.google.com/a/chromium.org/forum/#!msg/blink-dev/65lfM2f0eeM/-1ttGbZmCQAJ
And code review: https://chromium-review.googlesource.com/c/chromium/src/+/988955

Behind a flag in 70+ https://www.chromestatus.com/feature/5273474901737472

Available as an origin trial on 73,74 until May 29: https://developers.chrome.com/origintrials/#/view_trial/945755921747804161

Related Objects

StatusSubtypeAssignedTask
ResolvedGilles
ResolvedGilles

Event Timeline

Gilles created this task.May 14 2018, 10:40 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2018, 10:40 AM
Gilles updated the task description. (Show Details)May 14 2018, 10:54 AM
Gilles updated the task description. (Show Details)May 14 2018, 7:48 PM
Gilles updated the task description. (Show Details)
Gilles updated the task description. (Show Details)
Peter added a subscriber: Peter.May 14 2018, 7:50 PM
Gilles claimed this task.May 15 2018, 9:08 AM
Gilles triaged this task as Medium priority.

Can't manage to build Chromium on MacOS for now:

(master) $ gn gen out/Default
ERROR Unresolved dependencies.
//services/tracing:lib(//build/toolchain/mac:clang_x64)
  needs //third_party/perfetto/protos/perfetto/trace/chrome:minimal_complete_lite(//build/toolchain/mac:clang_x64)
//services/tracing/public/cpp:cpp(//build/toolchain/mac:clang_x64)
  needs //third_party/perfetto/protos/perfetto/trace/chrome:minimal_complete_lite(//build/toolchain/mac:clang_x64)

Could be related to the fact that a new version of XCode was released 2 days ago.

Tried to leave a message on https://groups.google.com/a/chromium.org/forum/#!forum/chromium-dev describing the issue, but it hasn't appeared yet. Maybe new threads by new users are moderated?

Probably worth just waiting for this feature to be in Canary.

Gilles changed the task status from Open to Stalled.Jun 25 2018, 6:43 PM

No activity on the patch since June 2

Vvjjkkii renamed this task from Leverage Priority Hints to n0caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii changed the task status from Stalled to Open.
Vvjjkkii removed Gilles as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from n0caaaaaaa to Leverage Priority Hints.Jul 2 2018, 5:36 AM
CommunityTechBot changed the task status from Open to Stalled.
CommunityTechBot assigned this task to Gilles.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Gilles updated the task description. (Show Details)Feb 19 2019, 12:04 PM
Gilles changed the task status from Stalled to Open.Feb 19 2019, 12:06 PM
Gilles updated the task description. (Show Details)
Gilles closed this task as Resolved.Feb 20 2019, 8:41 AM

Will reopen this task if the origin trial is successful